r14729 - gnucash/trunk/packaging/win32 - Revert libgoffice pkgconfig filename change. Add CFLAGS at gnucash configure.

Christian Stimming cstim at cvs.gnucash.org
Sat Aug 26 15:03:11 EDT 2006


Author: cstim
Date: 2006-08-26 15:03:11 -0400 (Sat, 26 Aug 2006)
New Revision: 14729
Trac: http://svn.gnucash.org/trac/changeset/14729

Modified:
   gnucash/trunk/packaging/win32/install.sh
Log:
Revert libgoffice pkgconfig filename change. Add CFLAGS at gnucash configure.

Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2006-08-26 08:53:53 UTC (rev 14728)
+++ gnucash/trunk/packaging/win32/install.sh	2006-08-26 19:03:11 UTC (rev 14729)
@@ -531,7 +531,7 @@
     _GOFFICE_UDIR=`unix_path $GOFFICE_DIR`
     add_to_env $_GOFFICE_UDIR/lib/pkgconfig PKG_CONFIG_PATH
     set +e
-    quiet pkg-config --exists libgoffice-0.3
+    quiet pkg-config --exists libgoffice-1
     if [ $? = 0 ] ; then
 	set -e
 	echo "goffice already installed.  skipping."
@@ -557,7 +557,8 @@
 	    make install
 	qpopd
     fi
-    pkg-config --exists libgoffice-0.3 || die "goffice not installed correctly"
+    pkg-config --exists libgoffice-0.3 && die "Sorry, for goffice gnucash expects a pkgconfig file with the name libgoffice-1.pc, but you have an installed file libgoffice-0.3.pc. You should probably rename that file."
+    pkg-config --exists libgoffice-1 || die "goffice not installed correctly"
 }
 
 function inst_svn() {
@@ -600,8 +601,9 @@
     ./configure \
 	--prefix=$_GNUCASH_WFSDIR \
 	--enable-debug \
-	CPPFLAGS="${AUTOTOOLS_CPPFLAGS}" \
-	LDFLAGS="${AUTOTOOLS_LDFLAGS}"
+	CPPFLAGS="${AUTOTOOLS_CPPFLAGS} ${REGEX_CPPFLAGS}" \
+	CFLAGS="${AUTOTOOLS_CPPFLAGS} ${REGEX_CPPFLAGS}" \
+	LDFLAGS="${AUTOTOOLS_LDFLAGS} ${REGEX_LDFLAGS}"
 #    make
     qpopd
 }



More information about the gnucash-changes mailing list